From 78a5f8d1233118c798e0c1823dd90bb9aedd6901 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 28 2020 19:40:38 +0000
Subject: [PATCH 1837/2232] Restyle Box::value_type deprecation to be preserved in generated code


---

diff --git a/include/cxx.h b/include/cxx.h
index 1212de2..38261b7 100644
--- a/include/cxx.h
+++ b/include/cxx.h
@@ -254,8 +254,7 @@ public:
 
   T *into_raw() noexcept;
 
-  // Deprecated.
-  using value_type = element_type;
+  /* Deprecated */ using value_type = element_type;
 
 private:
   class uninit;

